import 'package:json_annotation/json_annotation.dart';

part 'invoice_decline_model.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class InvoiceDeclineModel{
  String id;
  String? reason;
  String? details;
  String? supportNote;

  InvoiceDeclineModel({
    required this.id,
    required this.reason,
    this.details,
    this.supportNote,
  });
factory InvoiceDeclineModel.fromJson(Map<String, dynamic> json) {
    return _$InvoiceDeclineModelFromJson(json);
  }

Map<String, dynamic> toJson() => _$InvoiceDeclineModelToJson(this);

}